Redmine - Defect #3557
If views of different plugins have same filename, the view files will conflict with eachother

2009-06-29 10:16 - Chaoqun Zou

Status: Closed Start date: 2009-06-29
Priority: Normal Due date:

Assignee: Eric Davis % Done: 0%
Category: Plugin API Estimated time: 0.00 hour
Target version:

Resolution: Wont fix Affected version:

Description

If two plugins have different views with the same filename, like 'settings/_settings.rhtml'. The two different views will conflict. The first

view in the loading path will be always used in the two plugins.

Related issues:

Related to Redmine - Defect #2018: Plugin configuration frames are overwritte...

Closed

2008-10-10

Associated revisions

Revision 2798 - 2009-07-02 20:40 - Jean-Philippe Lang

Do not use settings/settings partial name in sample plugin (#3557).

History

#1 - 2009-07-10 05:41 - Eric Davis

- Status changed from New to Closed

- Resolution set to Wont fix

This is a side effect of how Rails and Rails Engines works. My suggestion is that plugin authors name their settings after their plugin and try to avoid

name conflicts (which is good advise in general)

#2018 has some more information on this issue and a fix | did for my plugins.
